A Sandcastle Documented Class Library

# OctokitWrapper Class

An wrapper for the Octokit.net class. This class is used to extract functionality for checking github for updates to butterflow-ui installation.
Inheritance Hierarchy
System
Object
butterflow_ui
OctokitWrapper

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.0.4.40427 (1.0.0.0)
Syntax
C#
Copy

    public static class OctokitWrapper

The OctokitWrapper type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| OctokitWrapper | Static constructor.

Top
Properties

| Name | Description
--- | --- | ---
| CurrentVersionStatus | Gets the current version status of this installation.
| CurrentVersionStatusDescription | Gets information describing the current version status.

Top
Methods

| Name | Description
--- | --- | ---
| GetVersionStatus | Gets version status from github.

Top
Fields

| Name | Description
--- | --- | ---
| REGEX_VERSION | The RegEx string for matching .
| versionStatus | The version status of the current installation.

Top
See Also

#### Reference

butterflow_ui Namespace